local 任务名称  = "#{CXDT_090304_01}"
local 打图环数 = 取自定义参数(5)
local 最大环数 = 0
local 人物等级 = 取人物等级() 
local 环数编号 = "49"
local g_nk = 0
FirstObjects(1)
function 惩凶打图()
	补血检测(40)
	任务进度  =  取任务进度(任务名称)
	if 任务进度 == -1 then
		if 取距离(x,y) > 20 then 召唤坐骑(1) end
		跨图寻路(224,226,"苏州")
		if GetBackpackNull(1) == 0 then 打印信息("打图：背包已满，结束脚本") return end
		对话npc("吴玠")
		对话选项(任务名称)
		if 取对话项内容(2) == "#{CXDT_090304_08}" then 打印信息("打图：放弃任务,等待90秒后再接取.") 延迟(1.5*60*1000) end
		return 惩凶打图()	
	end
	
	if 任务进度 == 1 then
		召唤坐骑(1)
		跨图寻路(224,226,"苏州")
		对话npc("吴玠")
		对话选项(任务名称)
		任务继续()
		完成任务()
		if 取完成环数(环数编号) >= 打图环数 then 打印信息("打图：任务全部完成，结束脚本") return end
		return 惩凶打图()	
	end

	if 任务进度 == 0 then
		local x,y,Id = GetMapCoordinate("惩恶令",1)
		if x == 0 or y == 0 then
			if GetTaskbaog("惩恶令") == -1 then
				打印信息("打图：没有令牌,任务不能完成,放弃任务!!!") 
				放弃任务(任务名称) 
			end
			return  惩凶打图()	
		else
			召唤坐骑(1)
			ID_寻路(x,y,Id)
			召唤坐骑(0)
			使用物品("惩恶令")
			延迟(1000)
			if 取地图编号() == Id then
				local k = 0
				while 取任务参数(任务名称,0) ~= 1 do
					local Ret = 称号打怪()
					if Ret == -1 then 
						k = k + 1
						if k == 50 then
							打印信息("打图：任务不能完成,放弃任务") 
							放弃任务(任务名称) 
							break
						end
					end
					延迟(200)
				end
				延迟(2000)
				local 地图名 = 取地图名()
				local a,b = GetBackxyEx("定位符")
				if a ~= 0 and b ~= 0 then
					local Ret1 = 0
					while GetRoleState(1) == 5 or GetRoleState(0) == 1 do 
						--if GetRoleState(0) == 1 then 打印信息("正在传送。。") while 取地图名() ~= 地图名 do 延迟(2000) end end
						Ret1 = Ret1 + 1
						if Ret1 == 10 then
							break
						end
						打印信息("正在传送。。")
						延迟(1000)
					end
				end
			end
			return 惩凶打图()	
		end
	end
end

function 补血检测(百分比血)
	if GetRoleState(0) == 0 and 取人百分比血() < 百分比血 then
		召唤坐骑(1)
		跨图寻路(185,336,"洛阳")
		对话npc("龙霸天")
		延迟(间隔时间)
		对话选项("满怒治疗")
		延迟(间隔时间)
		对话选项("是")
		延迟(间隔时间)
		if 取人百分比血() <  百分比血 then return 补血检测(40) end
	end
end

if 人物等级 >= 30 and 人物等级 <= 39 then 最大环数 = 10 
	elseif 人物等级 >= 40 and 人物等级 <= 49 then 最大环数 = 20 
	elseif 人物等级 >= 50 then 最大环数 = 50 
end
if 人物等级 >= 30 then
	if 打图环数 > 最大环数 then 打印信息("自定义的环数大于该级别能打环数,脚本自动设置为打最大环数") 打图环数 = 最大环数 end
	惩凶打图()
end